﻿using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboSourceCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<string> Attributes = new List<string> // one of the 4 lists
            {
            "Name",
            "Client",
            "Country",
            "Field",
            "Geomarket",
            "Area",
            "Formation Types",
            "Fluid Types",
            "Drive Mechanisms",
            "EOR Processes"
            };

            Dictionary<int, string> MyDictionary = new Dictionary<int, string>();

            for (int i = 0; i < Attributes.Count; i++)
            {
                MyDictionary.Add(i, Attributes[i]);
            }
            
            XamComboEditor.ItemsSource = MyDictionary;
            XamComboEditor.DisplayMemberPath = "Value";

        }    
    }
}
